---
builds:
  - id: msgbus
    binary: msgbus
    main: ./cmd/msgbus
    flags: -tags "static_build"
    ldflags: >-
      -w
      -X git.mills.io/msgbus.Version={{.Version}}
      -X git.mills.io/msgbus.Commit={{.Commit}}
    env:
      - CGO_ENABLED=0
    goos:
      - windows
      - darwin
      - linux
    goarch:
      - amd64
      - arm64
    goarm:
      - 6
      - 7
  - id: msgbusd
    binary: msgbusd
    main: ./cmd/msgbusd
    flags: -tags "static_build"
    ldflags: >-
      -w
      -X git.mills.io/msgbus.Version={{.Version}}
      -X git.mills.io/msgbus.Commit={{.Commit}}
    env:
      - CGO_ENABLED=0
    goos:
      - windows
      - darwin
      - linux
    goarch:
      - amd64
      - arm64
    goarm:
      - 6
      - 7
signs:
  - artifacts: checksum
release:
  gitea:
    owner: prologic
    name: msgbus
  draft: false
gitea_urls:
  api: https://git.mills.io/api/v1/
